package com.cpp.web.dto;

import lombok.Data;

/**
 * 返回前端的表格列
 *
 * @author tl
 * @version 3.0
 */
@Data
public class TableColumn {

  //字段
  private String field;

  //标题
  private String title;

  //最小宽度，默认为60
  private String minWidth = "60";

  public TableColumn(String field, String title, String minWidth) {
    this.field = field;
    this.title = title;
    this.minWidth = minWidth;
  }

  public TableColumn() {
  }

  public TableColumn(String field, String title) {
    this.field = field;
    this.title = title;
  }
}
